Bug 225678 - Merge Review: dcraw
Summary: Merge Review: dcraw
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:55 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-23 16:27:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora-review+


Attachments (Terms of Use)
fix the discussed issues in the spec file (850 bytes, text/plain)
2007-02-04 12:15 UTC, Dan Horák
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 17:55:48 UTC
Fedora Merge Review: dcraw

http://cvs.fedora.redhat.com/viewcvs/devel/dcraw/
Initial Owner: nphilipp@redhat.com

Comment 1 Dan Horák 2007-02-03 21:52:58 UTC
first shot:
- %find_lang macro instead of %{_datadir}/locale/*/LC_MESSAGES/*.mo
(http://fedoraproject.org/wiki/Packaging/Guidelines#head-8c605ebf8330f6d505f384e671986fa99a8f72ee)

Comment 2 Dan Horák 2007-02-04 12:13:28 UTC
OK	source files match upstream:
		63f7859e44f914e703ccc7b9e4f9fdd8809add1850365f6186aa6df6deabc2c0 
dcraw-8.53.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible.  License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (i386).
OK	package installs properly
OK	debuginfo package looks complete.
OK	final provides and requires are sane
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

MUST FIX:

BAD	rpmlint is NOT silent.
	W: dcraw summary-ended-with-dot A tool for decoding raw image data from digital
cameras.

BAD	%find_lang macro is not used for the locale files

both are rather minors and a patch for the spec file is attached

Comment 3 Dan Horák 2007-02-04 12:15:36 UTC
Created attachment 147299 [details]
fix the discussed issues in the spec file

Comment 4 Nils Philippsen 2007-02-05 11:27:32 UTC
Both should be fixed (I also removed the article from the summary, i.e. "Tool
..." not "A tool ...") in version 8.53-2 which is building right now.

Comment 5 Ruben Kerkhof 2007-02-06 22:39:19 UTC
Assigning back to Dan

Comment 6 Dan Horák 2007-02-07 09:07:04 UTC
Both problems were fixed, so package is APPROVED


Note You need to log in before you can comment on or make changes to this bug.